﻿@{
    ViewBag.NomePagina = "Importa Estrutura Tribanco";
}

@Html.Partial("~/Views/Paginas/ImportarEstrutura/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Parametrôs &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Importar Estrutura &nbsp;
    </span>
</div>

<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtCodCliente" type="text" class="ctrl-filtro numerico" maximo="10" placeholder="Código..." style="width: 15%;" />
        <i class="material-icons">more_vert</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtRazaoSocial" type="text" class="ctrl-filtro" maximo="100" placeholder="Razão Social" />
        <i class="material-icons">more_vert</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtNumCgcEmpPes" type="text" class="ctrl-filtro cnpj" maximo="14" placeholder="CNPJ" />
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2EmpresasCodigos.cshtml", new Select2EmpresasViewModel() { idControleSelect2 = "selEmp", idControleInput = "TxtEmp", tipoPesquisa = true, ativo = false })
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>
    <div id="grdImportaEstruturaContainer"></div>
</div>

<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Importa Estrutura Tribanco</strong>
            </div>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row paddingbottom">
                <div class="col-md-8">
                    <div class="tgv-image-view">
                        <img id="img-view" src="" />
                    </div>
                    <div id="dv-upload" class="tgv-upload-container" style="margin-top: 13px;">
                        <div class="up-icon mdl-js-ripple-effect">
                            <i class="material-icons">file_upload</i>
                            <span class="mdl-ripple"></span>
                        </div>
                        <span class="file-info limparTooltipChange">
                            Carregar Excel |&nbsp;<b>xlsx</b>&nbsp;ou&nbsp;<b>xls</b>
                        </span>
                        <div class="rem-icon mdl-js-ripple-effect">
                            <i class="material-icons">close</i>
                            <span class="mdl-ripple"></span>
                        </div>
                        @*<input type="file" id="inp-file-aux" value="" accept=".xlsx,.xls" />*@
                        <input type="file" id="FileUpload" class="btn btn-success limparTooltipChange" style="visibility:visible;" name="FileUpload" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" />
                    </div>
                </div>

                <div class="col-md-2" style="align-self: flex-end;">
                    <button id="btnImportarCestaProduto" type="button" class="btn btn-success">
                        <i class="fa fa-floppy-o">&nbsp;</i>
                        Importar
                    </button>
                </div>
            </div>
            <fieldset id="selectSheetFieldset" style="display:none">
                <label for="selectSheet">Select a sheet</label>
                <select class="form-control" id="selectSheet" style="overflow-y:auto"></select>
            </fieldset>
        </div>
        <div class="row paddingtop">
            <div class="col-lg-12">
                <div class="dataTables_modificado dataTables_personalizado">
                    <div id="grdProcessamentoContainer"></div>
                </div>
            </div>
        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnVoltarCestaProduto" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>
    </form>
</div>

@Html.Partial("~/Views/Paginas/ImportarEstrutura/Partials/_IndexScript.cshtml")
